---
title: Get points
slug: topic-api/get-points
createdAt: 2024-06-10T16:49:07.009Z
---

{
  "id": "oZ44i-nLGKUda4cY-BZw7",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points",
    "servers": [
      {
        "url": "https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points"
      }
    ],
    "name": "Get points",
    "description": "List all topic points.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "topic-board-id",
          "type": "string",
          "example": "e18a2d10-1595-4e52-a941-22d43bf8d7ad",
          "description": "Id of the topic board"
        },
        {
          "kind": "required",
          "name": "topic-id",
          "type": "string",
          "example": "18d0273d-e15c-4924-97b3-6f47b233eebe",
          "description": "Topic id"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "Bearer",
          "name": "Bearer",
          "kind": "optional",
          "type": "http",
          "scheme": "bearer"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "topic-point[]",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "string",
                "description": "Represented as compacted UUID using 32 hexadecimal characters",
                "example": "db3cffcf-2217-4503-8e51-ab2740d5043a"
              },
              {
                "name": "x",
                "kind": "optional",
                "type": "number",
                "description": "X coordinate of the point",
                "example": 100
              },
              {
                "name": "y",
                "kind": "optional",
                "type": "number",
                "description": "Y coordinate of the point",
                "example": 100
              },
              {
                "name": "z",
                "kind": "optional",
                "type": "number",
                "description": "Z coordinate of the point",
                "example": 100
              },
              {
                "name": "models",
                "kind": "optional",
                "type": "array",
                "description": "List of models",
                "example": "",
                "itemType": "object",
                "customType": "object[]",
                "schema": [
                  {
                    "name": "modelRef",
                    "kind": "optional",
                    "type": "string",
                    "description": "Id of the model",
                    "example": "11a9bb2984ee4a999875c4cd9560f319"
                  },
                  {
                    "name": "revisionRef",
                    "kind": "optional",
                    "type": "string",
                    "description": "Id of the model revision",
                    "example": "eed6ae36-5fe0-4f1f-89da-fba8efcf8b97"
                  },
                  {
                    "name": "ref",
                    "kind": "optional",
                    "type": "string",
                    "description": "A reference for this model revision relation",
                    "example": "827f4b14-af0c-44e5-90ce-4e58fa79d7b3"
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/topic-point",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "1OO5CLKzu4qmFHKYVTzDt",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points \\\n     --header 'accept: application/json'"
        },
        {
          "id": "8pXhqBE6y8BwuiphGLsMg",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "jOd_DGeaIVt9sL2-b-96T",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "ztQTGnrOTAIG0k2HMNTvK",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.catenda.com/opencde/bcf/3.0/projects/{topic-board-id}/topics/{topic-id}/points\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "1OO5CLKzu4qmFHKYVTzDt"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n[\n  {\n    \"id\": \"db3cffcf-2217-4503-8e51-ab2740d5043a\",\n    \"x\": 100,\n    \"y\": 100,\n    \"z\": 100,\n    \"models\": [\n      {\n        \"modelRef\": \"11a9bb2984ee4a999875c4cd9560f319\",\n        \"revisionRef\": \"eed6ae36-5fe0-4f1f-89da-fba8efcf8b97\",\n        \"ref\": \"827f4b14-af0c-44e5-90ce-4e58fa79d7b3\"\n      }\n    ]\n  }\n]"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}